org.apache.tinkerpop.gremlin.process.traversal.step.branch

## Class UnionStep<S,E>

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep<S,E>
  - - org.apache.tinkerpop.gremlin.process.traversal.step.util.ComputerAwareStep<S,E>
    - - org.apache.tinkerpop.gremlin.process.traversal.step.branch.BranchStep<S,E,TraversalOptionParent.Pick>
      - - org.apache.tinkerpop.gremlin.process.traversal.step.branch.UnionStep<S,E>

- All Implemented Interfaces:
    Serializable, AutoCloseable, Cloneable, Iterator<Traverser.Admin<E>>, Step<S,E>, GraphComputing, TraversalOptionParent<TraversalOptionParent.Pick,S,E>, TraversalParent

      public final class UnionStep<S,E>
      extends BranchStep<S,E,TraversalOptionParent.Pick>

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.ComputerAwareStep

      `ComputerAwareStep.EndStep<S>`

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.process.traversal.step.TraversalOptionParent

      `TraversalOptionParent.Pick`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.branch.BranchStep

      `branchTraversal, traversalOptions, traversalPickOptions`

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep

      `id, labels, nextEnd, nextStep, previousStep, starts, traversal, traverserStepIdAndLabelsSetByChild`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnionStep(Traversal.Admin traversal, Traversal.Admin<?,E>... unionTraversals)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addGlobalChildOption(TraversalOptionParent.Pick pickToken, Traversal.Admin<S,E> traversalOption)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.branch.BranchStep

      `clone, computerAlgorithm, getGlobalChildren, getLocalChildren, getRequirements, hashCode, reset, setBranchTraversal, setTraversal, standardAlgorithm`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.ComputerAwareStep

      `onGraphComputer, processNextStart`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep

      `addLabel, addStart, addStarts, equals, getId, getLabels, getNextStep, getPreviousStep, getStarts, getTraversal, hasNext, hasStarts, isTraverserStepIdAndLabelsSetByChild, next, prepareTraversalForNextStep, removeLabel, setId, setNextStep, setPreviousStep`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.step.TraversalParent

      `addGlobalChild, addLocalChild, asStep, close, getSelfAndChildRequirements, integrateChild, removeGlobalChild, removeLocalChild, replaceLocalChild`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.step.GraphComputing

      `atMaster, atMaster`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Step

      `equals`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, remove`

- - ### Constructor Detail

    - #### UnionStep

          public UnionStep(Traversal.Admin traversal,
                           Traversal.Admin<?,E>... unionTraversals)

  - ### Method Detail

    - #### addGlobalChildOption

          public void addGlobalChildOption(TraversalOptionParent.Pick pickToken,
                                           Traversal.Admin<S,E> traversalOption)

      Specified by:
        `addGlobalChildOption` in interface `TraversalOptionParent<TraversalOptionParent.Pick,S,E>`
      Overrides:
        `addGlobalChildOption` in class `BranchStep<S,E,TraversalOptionParent.Pick>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `BranchStep<S,E,TraversalOptionParent.Pick>`

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.